diff -r dfb7fa26474c code/CMakeLists.txt
--- a/code/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/CMakeLists.txt	Thu Jun 23 17:54:11 2011 +0200
@@ -143,11 +143,11 @@
 ENDIF(WITH_RYZOM)
 
 IF(WITH_NELNS)
-#  ADD_SUBDIRECTORY(nelns)
+  ADD_SUBDIRECTORY(nelns)
 ENDIF(WITH_NELNS)
 
 IF(WITH_SNOWBALLS)
-#  ADD_SUBDIRECTORY(snowballs2)
+  ADD_SUBDIRECTORY(snowballs2)
 ENDIF(WITH_SNOWBALLS)
 
 IF(WITH_TOOLS)
diff -r dfb7fa26474c code/snowballs2/CMakeLists.txt
--- a/code/snowballs2/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/CMakeLists.txt	Thu Jun 23 17:54:11 2011 +0200
@@ -29,21 +29,12 @@
 FIND_PACKAGE(LibXml2 REQUIRED)
 FIND_PACKAGE(PNG REQUIRED)
 
-NL_SETUP_BUILD()
-
-FIND_PACKAGE(NeL COMPONENTS nelmisc nelgeorges nel3d nelnet nelpacs REQUIRED)
-FIND_PACKAGE(NeLNS COMPONENTS naming_service login_service welcome_service nel_launcher_qt)
-
 ###
 # An example of finding NeL 3D and CEGUI Renderer.
 ###
 IF(BUILD_CLIENT)
   FIND_PACKAGE(FreeType)
   FIND_PACKAGE(Jpeg)
-  
-  IF(ENABLE_SOUND)
-    FIND_PACKAGE(NeL COMPONENTS nelsound)
-  ENDIF(ENABLE_SOUND)
 ENDIF(BUILD_CLIENT)
 
 IF(WIN32)
diff -r dfb7fa26474c code/snowballs2/client/src/snowballs_client.cpp
--- a/code/snowballs2/client/src/snowballs_client.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/client/src/snowballs_client.cpp	Thu Jun 23 17:54:11 2011 +0200
@@ -70,6 +70,10 @@
 #include "internationalization.h"
 #include "game_time.h"
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 using namespace std;
 using namespace NLMISC;
 using namespace NL3D;
diff -r dfb7fa26474c code/snowballs2/server/chat/src/main.cpp
--- a/code/snowballs2/server/chat/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/chat/src/main.cpp	Thu Jun 23 17:54:11 2011 +0200
@@ -36,6 +36,10 @@
 // We're using the NeL Service framework, and layer 5
 #include <nel/net/service.h>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 
 using namespace std;
 using namespace NLMISC;
diff -r dfb7fa26474c code/snowballs2/server/collision/src/collision_service.cpp
--- a/code/snowballs2/server/collision/src/collision_service.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/collision/src/collision_service.cpp	Thu Jun 23 17:54:11 2011 +0200
@@ -17,6 +17,11 @@
 #include "collision_service.h"
 #include <nel/3d/u_instance_group.h>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
+
 using namespace SBSERVICE;
 using namespace NLMISC;
 using namespace NLNET;
diff -r dfb7fa26474c code/snowballs2/server/frontend/src/CMakeLists.txt
--- a/code/snowballs2/server/frontend/src/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/frontend/src/CMakeLists.txt	Thu Jun 23 17:54:11 2011 +0200
@@ -1,6 +1,6 @@
 FILE(GLOB SRC *.cpp *.h)
 
-ADD_EXECUTABLE(snowballs_frontend_service ${SRC})
+ADD_EXECUTABLE(snowballs_frontend_service WIN32 ${SRC})
 
 INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
 
diff -r dfb7fa26474c code/snowballs2/server/frontend/src/main.cpp
--- a/code/snowballs2/server/frontend/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/frontend/src/main.cpp	Thu Jun 23 17:54:11 2011 +0200
@@ -38,6 +38,11 @@
 #include <map>
 #include <utility>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
+
 using namespace NLMISC;
 using namespace NLNET;
 using namespace std;
diff -r dfb7fa26474c code/snowballs2/server/position/src/main.cpp
--- a/code/snowballs2/server/position/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/position/src/main.cpp	Thu Jun 23 17:54:11 2011 +0200
@@ -41,6 +41,10 @@
 
 #include "physics.h"
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 
 using namespace NLMISC;
 using namespace NLNET;
